﻿.CalendarContainer {
    display: inline-flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    border-style: solid;
    border-color: transparent;
    border-width: 0.1vh;
    padding: 0.4vh;
    cursor: pointer;
    box-sizing: border-box;
}

    .CalendarContainer:hover, .CalendarContainerSelectMode {
        border-color: lightgray;
    }

.DisplaySelectionDateDiv {
}

.SelectDateImg {
    margin-right: 1vh;
    width: 3.1vh;
    box-sizing: border-box;
    opacity: 0.4;
}

.CalendarWithoutIcon .SelectDateImg {
    display: none !important;
}

.CalendarContainer:hover .SelectDateImg, .CalendarContainerSelectMode .SelectDateImg {
    opacity: 1 !important;
}

.DateSelectorContainer {
    display: none;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    position: absolute;
    width: 24vh;
    height: auto;
    border-style: solid;
    border-color: lightgray;
    border-width: 1px;
    background-color: white;
    padding: 0.5vh;
    box-sizing: border-box;
}

.DateSelectorContainerVisible {
    display: inline-flex !important;
}

.DateSelectorTitleLine {
    display: inline-flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    height: 2.5vh;
    width: 100%;
}

.DateSelectorTitleLineLeft {
    display: inline-flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    font-size: 1.5vh;
}

.DateSelectorTitleLineRight {
    display: inline-flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 3.5vh;
    cursor: pointer;
}

    .DateSelectorTitleLineRight img {
        height: 2vh;
        opacity: 0.4;
    }

        .DateSelectorTitleLineRight img:hover {
            opacity: 1;
        }

.DateSelectorWeekDaysLine {
    display: inline-flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    height: 2.5vh;
    width: 100%;
    font-size: 1vh;
}

.DateSelectorWeekDaysLineWeekDay {
    display: inline-flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    width: 14%;
}

.DateSelectorMainCalendar {
    display: inline-flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    font-size: 1.5vh;
}

.DateSelectorMainCalendarDay {
    display: inline-flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    width: 13%;
    height: 2.5vh;
    border-style: solid;
    border-color: transparent;
    border-width: 1px;
    cursor: pointer;
}

    .DateSelectorMainCalendarDay:hover, .DateSelectorMainCalendarDaySelected {
        border-color: black !important;
    }

.DateSelectorMainCalendarDaySelected {
    cursor: default !important;
}

.DateSelectorMainCalendarDayToday {
    border-color: lightgray !important;
}

.DateSelectorMainCalendarDayOtherMonths {
    color: lightgray;
}
